﻿using System;
using System.Net;
using JaoWebServiceClient.Proxy;

namespace JaoWebServiceClient
{
    //Program for educational purposes, but 'MessageStoreImplService' it can be used as well as normal library class
    class Program
    {
        static void Main(string[] args)
        {
            //demo username & pwd:
            var username =  "demoUserName";
            var password =  "demoPassword";
            
            //trust for all = only for development
            System.Net.ServicePointManager.ServerCertificateValidationCallback +=
               (s, cert, chain, sslPolicyErrors) => true;

            var service = new MessageStoreImplService()
            {
                Credentials = new NetworkCredential(username, password),
            };

            var response = service.Get(new getRequest() { messageId = "56e67e1be4b0bf67e3ba76e9" });
            var res = System.Text.UTF8Encoding.UTF8.GetString(response.messageData);
            Console.Write(res);
            
            //Console.Read(); 

        }
    }
    
}
